#
# spec file for package python-azure-mgmt-hdinsight
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-azure-mgmt-hdinsight
Version:        0.1.0
Release:        lp151.2.3.1
Summary:        Microsoft Azure HDInsight Management Client Library
License:        MIT
Group:          Development/Languages/Python
Url:            https://github.com/Azure/azure-sdk-for-python
Source:         https://files.pythonhosted.org/packages/source/a/azure-mgmt-hdinsight/azure-mgmt-hdinsight-%{version}.zip
Source1:        LICENSE.txt
Patch1:         amh_drop-compatible-releases-operator.patch
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module setuptools}
BuildRequires:  python-rpm-macros
BuildRequires:  unzip
BuildRequires:  %{python_module azure-mgmt-nspkg}
BuildRequires:  %{python_module azure-nspkg}
Requires:       python-azure-mgmt-nspkg
Requires:       python-azure-nspkg
Requires:       python-msrest >= 0.5.0
Requires:       python-azure-common >= 1.1
Requires:       python-azure-common < 2.0.0
Requires:       python-msrestazure >= 0.4.32
Requires:       python-msrestazure < 2.0.0
Conflicts:      python-azure-sdk <= 2.0.0

BuildArch:      noarch

%python_subpackages

%description
This is the Microsoft Azure HDInsight Management Client Library.

Azure Resource Manager (ARM) is the next generation of management APIs that
replace the old Azure Service Management (ASM).

This package has been tested with Python 2.7, 3.4, 3.5, 3.6 and 3.7.

%prep
%setup -q -n azure-mgmt-hdinsight-%{version}
%patch1 -p1

%build
install -m 644 %{SOURCE1} %{_builddir}/azure-mgmt-hdinsight-%{version}
%python_build

%install
%python_install
%{python_expand # delete common files
rm -rf %{buildroot}%{$python_sitelib}/azure/mgmt/__init__.*
rm -rf %{buildroot}%{$python_sitelib}/azure/mgmt/__pycache__
rm -rf %{buildroot}%{$python_sitelib}/azure/__init__.*
rm -rf %{buildroot}%{$python_sitelib}/azure/__pycache__
}

%files %{python_files}
%defattr(-,root,root,-)
%doc HISTORY.rst README.rst
%license LICENSE.txt
%{python_sitelib}/azure/mgmt/hdinsight
%{python_sitelib}/azure_mgmt_hdinsight-*.egg-info
%changelog
* Mon Mar 23 2020 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- Include in SLE-15 (bsc#1140565, jsc#ECO-1257, jsc#PM-1598)
* Tue Sep  4 2018 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- Initial build
  + Version 0.1.0
- Add patch to drop compatible releases operator from setup.py,
  required for SLES12 as the setuptools version is too old
  + amh_drop-compatible-releases-operator.patch
